library(mitml)

# read stacked imputation data
setwd(dirname(rstudioapi::getActiveDocumentContext()$path))
impdata <- read.table(paste0(getwd(), "/imps_stacked.dat"))
names(impdata) <- c("imputation", "id", "male", "lunchasst", "achievegrp", "stanread", "efficacy", "anxiety", "mathpre", "mathpost")
impdata <- impdata[impdata$imputation > 0, ]
impdata$change <- impdata$mathpost - impdata$mathpre

# analysis and pooling
implist <- as.mitml.list(split(impdata, impdata$imputation))
analysis <- with(implist, lm(change ~ 1))
estimates <- testEstimates(analysis, var.comp = T)
estimates