/* read stacked imputation data */
data impdata (where = (_imputation_ gt 0));
infile '/folders/myfolders/imps_stacked.dat';
input _imputation_ id male lunchasst achievegrp stanread efficacy anxiety mathpre mathpost;
change = mathpost - mathpre;
run;

/* analyze imputations */
proc reg data = impdata outest = estimates covout noprint;
model change = ;
by _imputation_; run;

/* pool estimates and standard errors */
proc mianalyze data = estimates;
modeleffects Intercept ; run;