// set working directory
// e.g., cd "/users/craig/desktop/workshop/examples/"
cd "your-examples-folder-filepath/"

// read stacked data
clear
infile imp id male lunchasst achievegrp stanread efficacy anxiety mathpre mathpost using "10. Multiple Imputation/imps_stacked.dat"

// recode missing data in original data (imp = 0)
recode male - mathpost (999 = .)

// compute change scores
generate change = mathpost - mathpre

// convert to mi data
mi import flong, m(imp) id(id) imputed(male - change) clear

// analysis and pooling
mi estimate, cmdok: regress change
