/* read stacked imputation data */
data impdata (where = (_imputation_ gt 0));
infile '/folders/myfolders/imps_stacked.dat';
input _imputation_ id bullied bmi batt1 batt2 batt3 batt4 batt5;
bodyatt = batt1 + batt2 + batt3 + batt4 + batt5;
run;

/* center covariate at grand means in each data set */
proc means data = impdata noprint;
var bmi;
by _imputation_;
output out = grandmeans (drop =_type_ _freq_) mean = bmimean; run;

data impdata;
merge impdata grandmeans;
by _imputation_;
bmic = bmi - bmimean;  run;

/* analyze imputations */
proc reg data = impdata outest = estimates covout noprint;
model bodyatt = bmic bullied;
by _imputation_;
run;

/* pool estimates and standard errors */
proc mianalyze data = estimates;
modeleffects Intercept bmic bullied;
run;

/* omnibus test of model fit */
proc mianalyze data = estimates mult;
modeleffects bmic bullied;
run;