// set working directory
// e.g., cd "/users/craig/desktop/workshop/examples/"
cd "your-examples-folder-filepath/"

// read stacked data
clear
infile imp id male age edugroup workhrs exercise pain anxiety stress control interfere depress disability using "13. Model-Based Imputation/imps_stacked.dat"

// recode missing data in original data (imp = 0)
recode male - disability (999 = .)

// center focal predictor
egen impmeans = mean(depress), by(imp)
gen depressc = depress - impmeans

// convert to mi data
mi import flong, m(imp) id(id) imputed(male - depressc) clear

// analyze data and pool results
mi estimate, cmdok: regress disability depressc male c.depressc#c.male

