﻿* Encoding: UTF-8.
* set working directory.
*e.g., cd "/users/craig/desktop/workshop/examples/".
cd "your-examples-folder-filepath/".

* read stacked data.
data list free file = "14. Multilevel Missing Data/imps_stacked.dat"
  /imputation_ school student wave condition eslpct ethnic male frlunch achvgrp stanmath month0 month7 probsolv matheff.
missing values all (999).
exe. 

* center covariates.
aggregate
  /break = imputation_
  /malemean = mean(male)
  /frlunchmean = mean(frlunch)
  /stanmathmean = mean(stanmath).
compute malec = male - malemean.
compute frlunchc = frlunch - frlunchmean.
compute stanmathc = stanmath - stanmathmean.

* initiate pooling routines.
sort cases by imputation_.
split file layered by imputation_.

* analysis and pooling. 
mixed probsolv with month0 condition malec frlunchc stanmathc
  /print = testcov solution
  /fixed = intercept month0 condition month0*condition malec frlunchc stanmathc
  /random = intercept month0 | subject(student) covtype(un).
