// set working directory
// e.g., cd "/users/craig/desktop/workshop/examples/"
cd "your-examples-folder-filepath/"

// read stacked data
clear
infile imp school student wave condition eslpct ethnic male frlunch achvgrp stanmath month0 month7 probsolv matheff using "14. Multilevel Missing Data/imps_stacked.dat"

// create unique row id within each data set
generate rownum = student*100 + wave

// recode missing data in original data (imp = 0)
recode condition-rownum (999 = .)

// center covariates
egen malemeans = mean(male), by(imp)
egen frlunchmeans = mean(frlunch), by(imp)
egen stanmathmeans = mean(stanmath), by(imp)
gen malec = male - malemeans
gen frlunchc = frlunch - frlunchmeans
gen stanmathc = stanmath - stanmathmeans

// convert to mi data
mi import flong, m(imp) id(rownum) imputed(condition - stanmathc) clear

// analysis and pooling
mi estimate, cmdok: mixed probsolv month0 condition c.month0#c.condition malec frlunchc stanmathc || student: month0, cov(uns) var
