# load lavaan sem package
library(lavaan)

# read data
setwd(dirname(rstudioapi::getActiveDocumentContext()$path))
lmxdata <- read.table(paste0(getwd(), "/lmxquality.dat"))
names(lmxdata) <- c("employee", "team", "turnover", "male", "empower", "lmxquality", "jobsat", "climate", "orgsize")

# missing data code
lmxdata[lmxdata == 999] <- NA

# specify model
model <- '
empower ~~ lmxquality
'

# fit model and summarize estimates
analysis <- sem(model, lmxdata, missing = 'fiml', fixed.x = F, meanstructure = T, mimic = "Mplus")
summary(analysis, fit.measures = TRUE, rsquare = T, standardize = T)
